## firejail 0.9.58.2

=== debian/changelog ===
firejail (0.9.58.2-2+deb9u1) stretch-security; urgency=high
  
  * Non-maintainer upload by the LTS Security Team.
  * Backport for stretch to fix CVE-2022-31214 (Closes: #1012510)

 -- Sylvain Beucler <beuc@debian.org>  Tue, 28 Jun 2022 15:02:11 +0200

firejail (0.9.58.2-2+deb10u3) buster-security; urgency=medium

  * Fix local root exploit reachable via --join logic. (CVE-2022-31214)
    (Closes: #1012510)

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 21 Jun 2022 19:54:44 +0200

firejail (0.9.58.2-2+deb10u2) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Disable overlayfs support (CVE-2021-26910)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 09 Feb 2021 06:27:31 +0100

firejail (0.9.58.2-2+deb10u1) buster-security; urgency=high

  * Import security fixes for CVE-2020-17367 and CVE-2020-17368:
    - don't interpret output arguments after end-of-options tag
    - don't pass command line through shell when redirecting output

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 06 Aug 2020 18:05:53 +0200

firejail (0.9.58.2-2) unstable; urgency=high

  * Cherry-pick security fix for seccomp bypass issue. (Closes: #929732)
    Seccomp filters were writable inside the jail, so they could be
    overwritten/truncated. Another jail that was then joined with the first
    one, had no seccomp filters applied.
  * Cherry-pick security fix for binary truncation issue. (Closes: #929733)
    When the jailed program was running as root, and firejail was killed
    from the outside (as root), the jailed program had the possibility to
    truncate the firejail binary outside the jail.

 -- Reiner Herrmann <reiner@reiner-h.de>  Wed, 29 May 2019 21:06:42 +0200

firejail (0.9.58.2-1) unstable; urgency=medium

  * New upstream release.
    - new global configuration flag (name-change) that allows disabling
      automatic renaming of sandboxes, if requested name already exists
      (Closes: #920768)
    - whitelist additional files in zoom profile
      Thanks to Patrik Flykt for the patch. (Closes: #921454)
  * Drop patch applied upstream.
  * Switch off cgroup support by default in firejail.config, as it can be
    used to move processes into less restricted cgroups (see also #916920).
  * Install AppArmor local override file via dh_apparmor.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 08 Feb 2019 20:06:02 +0100
