=== debian/tests/control ===
Tests: simple-tests
Restrictions: allow-stderr
Depends: @, expect, file, sudo, procps, xzdec, cpio, less, strace, csh, zsh, man, iputils-ping, wget, x11-common

Tests: application-tests
Restrictions: allow-stderr, isolation-machine
Depends: @, expect, file, strace, sudo, man-db, iptables, iputils-ping, wget, csh, zsh, xvfb, xserver-xephyr, xterm, evince, thunderbird, firefox-esr, transmission-gtk

Tests: network-test
Restrictions: allow-stderr, breaks-testbed, isolation-machine, needs-root
Depends: @, expect, iproute2, iptables, iputils-ping, net-tools, bridge-utils
