## firejail 0.9.60

=== debian/changelog ===
firejail (0.9.60-1~mx15+1) mx; urgency=medium

  * Rebuild for MX 15.
  * Drop to debhelper 10 compat to ease backports.
  * Disable automatic dbgsym packages.
  * Make recommended packages hard dependencies.
  * debian/rules: revert dh_missing back to dh_install to fix FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 01 Jun 2019 11:49:30 -0700

firejail (0.9.60-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches applied upstream.
  * Remove obsolete conffile (snap.profile).
  * Point to experimental branch in Vcs-Git.

 -- Reiner Herrmann <reiner@reiner-h.de>  Wed, 29 May 2019 22:05:08 +0200
