=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: firejail
 Section: utils
 Priority: optional
-Maintainer: Reiner Herrmann <reiner@reiner-h.de>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Reiner Herrmann <reiner@reiner-h.de>
 Build-Depends: debhelper (>= 10), dh-apparmor, libapparmor-dev
 Standards-Version: 4.3.0
 Homepage: https://firejail.wordpress.com
-Vcs-Git: https://salsa.debian.org/deki-guest/firejail.git
+Vcs-Git: https://salsa.debian.org/deki-guest/firejail.git -b experimental
 Vcs-Browser: https://salsa.debian.org/deki-guest/firejail
 
 Package: firejail
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: firejail-profiles, iproute2, iptables, xauth, xpra | xserver-xephyr | xvfb
+Depends: ${shlibs:Depends}, ${misc:Depends},
+         firejail-profiles, 
+         iproute2,
+         iptables, xauth, xpra | xserver-xephyr | xvfb
 Description: sandbox to restrict the application environment
  Firejail is a SUID security sandbox program that reduces the risk of
  security breaches by restricting the running environment of untrusted
