=== debian/rules ===
--- 
+++ 
@@ -26,10 +26,10 @@
 	rm --verbose -rf debian/tmp/usr/share/doc/firejail
 
 override_dh_install:
-#	dh_install -pfirejail
-#	dh_install -pfirejail-profiles -Xdefault.profile -Xserver.profile
-	dh_install -pfirejail --fail-missing
-	dh_install -pfirejail-profiles --fail-missing -Xdefault.profile -Xserver.profile
+	dh_install -pfirejail
+	dh_install -pfirejail-profiles -Xdefault.profile -Xserver.profile
+	dh_missing -pfirejail --fail-missing
+	dh_missing -pfirejail-profiles --fail-missing -Xdefault.profile -Xserver.profile
 	dh_apparmor -pfirejail --profile-name=firejail-default
 
 override_dh_auto_test:
@@ -37,3 +37,4 @@
 
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym
+
