=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: firejail
 Section: utils
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Reiner Herrmann <reiner@reiner-h.de>
-Build-Depends: debhelper-compat (= 12), dh-apparmor, libapparmor-dev, pkg-config
-Standards-Version: 4.4.1
+Maintainer: Reiner Herrmann <reiner@reiner-h.de>
+Build-Depends: debhelper-compat (= 13), dh-apparmor, libapparmor-dev, pkg-config
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://firejail.wordpress.com
-Vcs-Git: https://salsa.debian.org/deki-guest/firejail.git
-Vcs-Browser: https://salsa.debian.org/deki-guest/firejail
+Vcs-Git: https://salsa.debian.org/reiner/firejail.git
+Vcs-Browser: https://salsa.debian.org/reiner/firejail
 
 Package: firejail
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends},
- firejail-profiles, iproute2, iptables, xauth, xpra | xserver-xephyr | xvfb
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: firejail-profiles, iproute2, iptables, xauth, xpra | xserver-xephyr | xvfb
 Description: sandbox to restrict the application environment
  Firejail is a SUID security sandbox program that reduces the risk of
  security breaches by restricting the running environment of untrusted
