=== debian/rules ===
--- 
+++ 
@@ -36,6 +36,3 @@
 
 override_dh_auto_test:
 	# skip tests here as they are run as autopkgtest
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
