=== debian/control ===
--- 
+++ 
@@ -1,9 +1,15 @@
 Source: firejail
 Section: utils
 Priority: optional
-Maintainer: Reiner Herrmann <reiner@reiner-h.de>
-Build-Depends: debhelper-compat (= 13), dh-apparmor, libapparmor-dev, pkg-config
-Standards-Version: 4.5.0
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Maintainer: Reiner Herrmann <reiner@reiner-h.de>
+Build-Depends: debhelper-compat (= 12),
+               dh-apparmor,
+               gawk,
+               libapparmor-dev,
+               libselinux1-dev,
+               pkg-config
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://firejail.wordpress.com
 Vcs-Git: https://salsa.debian.org/reiner/firejail.git
@@ -11,8 +17,13 @@
 
 Package: firejail
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: firejail-profiles, iproute2, iptables, xauth, xpra | xserver-xephyr | xvfb
+Depends: ${misc:Depends}, ${shlibs:Depends},
+            firejail-profiles,
+            iproute2,
+            iptables,
+            xauth,
+            xdg-dbus-proxy,
+            xpra | xserver-xephyr | xvfb
 Description: sandbox to restrict the application environment
  Firejail is a SUID security sandbox program that reduces the risk of
  security breaches by restricting the running environment of untrusted
@@ -23,7 +34,7 @@
 
 Package: firejail-profiles
 Architecture: all
-Depends: ${misc:Depends}, firejail
+Depends: firejail, ${misc:Depends}
 Replaces: firejail (<< 0.9.46~rc1-1)
 Breaks: firejail (<< 0.9.46~rc1-1)
 Description: profiles for the firejail application sandbox
