=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,10 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-apparmor --enable-contrib-install=no
+	dh_auto_configure -- --enable-apparmor --enable-selinux --enable-contrib-install=no
 
 override_dh_fixperms-arch:
-	dh_fixperms
+	dh_fixperms -Xfshaper.sh -Xfcopy -Xfldd -Xfnet -Xfnetfilter -Xfsec-optimize -Xfsec-print -Xfseccomp
 	chmod 4755 debian/firejail/usr/bin/firejail
 
 override_dh_installchangelogs:
@@ -36,3 +36,9 @@
 
 override_dh_auto_test:
 	# skip tests here as they are run as autopkgtest
+
+override_dh_compress:
+	dh_compress -Xsyscalls.txt -Xprofile.template -Xcontrib
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
