=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)\-?(rc\d*)$/$1~$2/,pgpsigurlmangle=s/$/.asc/ \
https://github.com/netblue30/firejail/releases .*/firejail-@ANY_VERSION@@ARCHIVE_EXT@
