## firejail 0.9.66

=== debian/changelog ===
firejail (0.9.66-2~mx21+1) mx; urgency=medium

  * Initial packaging of upstream backport for MX-21.
  * All recommended packages now depends for MX build.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Fri, 29 Oct 2021 13:08:25 -0400

firejail (0.9.66-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 22 Aug 2021 13:24:02 +0200

firejail (0.9.66-2) unstable; urgency=medium

  * Upload to unstable.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 15 Aug 2021 10:33:57 +0200

firejail (0.9.66-1) experimental; urgency=medium

  * New upstream release.

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 29 Jun 2021 22:55:14 +0200

firejail (0.9.66~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
    - allow webext extensions to be loaded by chromium (Closes: #986049)
    - fix opening of links in thunderbird (Closes: #968551)
  * Drop removed .inc conffiles via maintscript.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 04 Jun 2021 22:24:24 +0200
