=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 
 %:
 	dh $@
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-apparmor --enable-selinux --enable-contrib-install=no
@@ -39,6 +42,3 @@
 
 override_dh_compress:
 	dh_compress -Xsyscalls.txt -Xprofile.template -Xcontrib
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
