## firejail 0.9.70

=== debian/changelog ===
firejail (0.9.70-2) unstable; urgency=medium

  [ Reiner Herrmann ]
  * Update firefox profiles to allow new dbus names used in ESR version.
    (Closes: #1019386)
  * Drop private-lib from transmission profiles to allow loading additional
    modules. (Closes: #1012734)
  * Adapt lintian overrides to new version.
  * Bump Standards-Version to 4.6.1.
  * Use api.github.com for searching upstream releases.

  [ Olivier Tilloy ]
  * Restrict architectures of firefox in autopkgtest to the ones supported
    in Ubuntu. (Closes: #1013326)

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 01 Oct 2022 18:30:05 +0200

firejail (0.9.70-1) unstable; urgency=medium

  * New upstream release.
    - fix sound playback in chromium (Closes: #1003650)
  * Drop patches applied upstream.
  * Enable new IDS feature during build.
  * Mark nvm.profile as removed.
  * Extend lintian-override match to include profstats.
  * Move profiles tests back from smoke- to simple-tests, as they
    are too environment dependent.
  * Add procps to test dependencies.

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 09 Jun 2022 19:14:08 +0200

firejail (0.9.68-4) unstable; urgency=high

  * Fix local root exploit reachable via --join logic. (CVE-2022-31214)
    (Closes: #1012510)

 -- Reiner Herrmann <reiner@reiner-h.de>  Wed, 08 Jun 2022 18:30:16 +0200

firejail (0.9.68-3) unstable; urgency=medium

  * Fix hyperrogue profile, which causes autopkgtest failure in Ubuntu CI.

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 08 Feb 2022 19:04:13 +0100

firejail (0.9.68-2) unstable; urgency=medium

  * Add file to test dependencies.

 -- Reiner Herrmann <reiner@reiner-h.de>  Mon, 07 Feb 2022 01:07:46 +0100

firejail (0.9.68-1) unstable; urgency=medium

  * New upstream release.
  * Remove hostnames conffile, which has been renamed and moved to libdir.
  * Add a superficial autopkgtest that should run stable, but can
    catch breakage.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 06 Feb 2022 15:41:45 +0100

firejail (0.9.68~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
    - fix telegram-desktop profile (Closes: #1002998)
    - allow webext directory in chromium profile (Closes: #1003234)
    - blacklist rxvt when perl is blacklisted (Closes: #1003259)
    - don't reject empty arguments (LP: #1934698)
  * Rename lintian tag in override: setuid-binary -> elevated-privileges.
  * Add lintian overrides for non-standard-executable-perm and
    executable-in-usr-lib.
  * Install new .config files.
  * Remove conffile: disable-passwdmgr.inc.
  * Document new copyright.
  * Bump Standards-Version to 4.6.0.
  * Bump copyright years to 2022.

 -- Reiner Herrmann <reiner@reiner-h.de>  Wed, 19 Jan 2022 19:30:39 +0100
