=== debian/control ===
--- 
+++ 
@@ -1,15 +1,9 @@
 Source: firejail
 Section: utils
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Maintainer: Reiner Herrmann <reiner@reiner-h.de>
-Build-Depends: debhelper-compat (= 12),
-               dh-apparmor,
-               gawk,
-               libapparmor-dev,
-               libselinux1-dev,
-               pkg-config
-Standards-Version: 4.5.1
+Maintainer: Reiner Herrmann <reiner@reiner-h.de>
+Build-Depends: debhelper-compat (= 13), dh-apparmor, gawk, libapparmor-dev, libselinux1-dev, pkg-config
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://firejail.wordpress.com
 Vcs-Git: https://salsa.debian.org/reiner/firejail.git
@@ -17,13 +11,8 @@
 
 Package: firejail
 Architecture: linux-any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-            firejail-profiles,
-            iproute2,
-            iptables,
-            xauth,
-            xdg-dbus-proxy,
-            xpra | xserver-xephyr | xvfb
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: firejail-profiles, iproute2, iptables, xauth, xdg-dbus-proxy, xpra | xserver-xephyr | xvfb
 Description: sandbox to restrict the application environment
  Firejail is a SUID security sandbox program that reduces the risk of
  security breaches by restricting the running environment of untrusted
@@ -34,7 +23,7 @@
 
 Package: firejail-profiles
 Architecture: all
-Depends: firejail, ${misc:Depends}
+Depends: ${misc:Depends}, firejail
 Replaces: firejail (<< 0.9.46~rc1-1)
 Breaks: firejail (<< 0.9.46~rc1-1)
 Description: profiles for the firejail application sandbox
