=== src/fbuilder/Makefile ===
ROOT = ../..
-include $(ROOT)/config.mk

PROG = fbuilder
TARGET = $(PROG)

MOD_HDRS = ../include/common.h ../include/syscall.h

include $(ROOT)/src/prog.mk
