=== src/fids/Makefile ===
ROOT = ../..
-include $(ROOT)/config.mk

PROG = fids
TARGET = $(PROG)

MOD_HDRS = ../include/common.h

include $(ROOT)/src/prog.mk
