=== debian/changelog ===
firejail (0.9.72-2ubuntu3) noble; urgency=medium

  * Fix build on armhf by #undef-ining _FILE_OFFSET_BITS and _TIME_BITS in a
    couple of places.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 16 Apr 2024 15:09:15 +1200

firejail (0.9.72-2ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:51:46 +1100

firejail (0.9.72-2ubuntu1) noble; urgency=medium

  * debian/tests/control:
    - update to reflect the architectures thunderbird is now available on

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 06 Mar 2024 16:35:38 +0100

firejail (0.9.72-2) unstable; urgency=medium

  * Fix more errors in smoke tests.

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 17 Jan 2023 02:04:42 +0100

firejail (0.9.72-1) unstable; urgency=medium

  * New upstream release.
  * Bump packaging copyright year.
  * Symlink source of test binary so that lintian can find it.
  * Fix/disable broken tests.

 -- Reiner Herrmann <reiner@reiner-h.de>  Mon, 16 Jan 2023 19:45:28 +0100

firejail (0.9.72~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop/refresh patches.
  * Bump Standards-Version to 4.6.2.

 -- Reiner Herrmann <reiner@reiner-h.de>  Wed, 21 Dec 2022 23:55:23 +0100
